<?php

class ControllerExtensionShippingDhlparcel extends Controller {
    public function webhook(&$route, &$args) {
        if (!$this->config->get('shipping_dhlparcel_status')) {
            return;
        }

        $orderStatusId = $this->config->get('shipping_dhlparcel_order_status_id');
        if (!$orderStatusId || $orderStatusId !== $args[1]) {
            return;
        }

        $this->load->model('checkout/order');
        $order = $this->model_checkout_order->getOrder($args[0]);
        if ($order['order_status_id'] === $args[1]) {
            return;
        }

        $url = $this->config->get('shipping_dhlparcel_url');

        $data_string = json_encode($order);

        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, [
                'Content-Type: application/json',
                'Content-Length: ' . strlen($data_string),
                'dhlparcel-connector: opencart',
            ]
        );

        curl_exec($ch);
        return;
    }
}
